cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daan Hoogland <daan.hoogl...@gmail.com>
Subject Re: [ACS44] router upgrade issue
Date Tue, 09 Dec 2014 09:33:09 GMT
On Tue, Dec 9, 2014 at 9:48 AM, Rajani Karuturi <rajani@apache.org> wrote:
>>
>> > Or make this configurable and update it in the docs to use the latest
>> > template version?
>> Configurable sound allright but the config action must be the same as the
>> sysvm install action or we are shifting our responsibilty to the user.
>
>
>  The advantage I see with this is we need not do a patch release even if we
> miss to update.

I am ot sure I follow so let me phrase what I think should be one:

systemvm replace code should be written that also edits the
MinVRVersion. On upgrade this code should be run if an upgrade is
needed.

Missing in this is the problem that might occur when someone upgrades
a systemvm and then has to upgrade to a version that also upgrades the
system vm. For this we must introduce a patch level version that we
promise never to touch as devs, so that users can use this for their
own versions.

Just making it configurable leaves a responsibility that is ours with
the user. They shouldn't be able to make the mistake of entering to
high a number for instance.

-- 
Daan

Mime
View raw message